## net.dontdrinkandroot.wicket.behavior.ajax
Class AbstractOnClickBehavior

    java.lang.Object
      org.apache.wicket.behavior.Behavior
          org.apache.wicket.behavior.AbstractAjaxBehavior
              org.apache.wicket.ajax.AbstractDefaultAjaxBehavior
                  org.apache.wicket.ajax.AjaxEventBehavior
                      net.dontdrinkandroot.wicket.behavior.ajax.AbstractOnClickBehavior

All Implemented Interfaces:
  java.io.Serializable, org.apache.wicket.behavior.IBehaviorListener, org.apache.wicket.IComponentAwareEventSink, org.apache.wicket.IRequestListener, org.apache.wicket.markup.html.IComponentAwareHeaderContributor, org.apache.wicket.util.io.IClusterable

    public abstract class AbstractOnClickBehavior

extends org.apache.wicket.ajax.AjaxEventBehavior

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.wicket.ajax.AbstractDefaultAjaxBehavior
`INDICATOR`

Fields inherited from interface org.apache.wicket.behavior.IBehaviorListener
`INTERFACE`

Constructor Summary
`AbstractOnClickBehavior()`

Method Summary

Methods inherited from class org.apache.wicket.ajax.AjaxEventBehavior
`getEvent, onCheckEvent, onEvent, renderHead, respond, updateAjaxAttributes`

Methods inherited from class org.apache.wicket.ajax.AbstractDefaultAjaxBehavior
`findIndicatorId, getAttributes, getCallbackFunction, getCallbackFunctionBody, getCallbackScript, getCallbackScript, getChannel, getFailureScript, getPreconditionScript, getSuccessScript, onBind, onRequest, postprocessConfiguration, renderAjaxAttributes, renderAjaxAttributes`

Methods inherited from class org.apache.wicket.behavior.AbstractAjaxBehavior
`afterRender, bind, getCallbackUrl, getComponent, onComponentRendered, onComponentTag, onComponentTag, onUnbind, unbind`

Methods inherited from class org.apache.wicket.behavior.Behavior
`beforeRender, canCallListenerInterface, detach, getStatelessHint, isEnabled, isTemporary, onConfigure, onEvent, onException, onRemove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractOnClickBehavior

    public AbstractOnClickBehavior()

Copyright © 2013 dontdrinkandroot. All Rights Reserved.